package de.intevation.flys.artifacts.access;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import de.intevation.artifacts.CallContext;
import de.intevation.flys.artifacts.FLYSArtifact;


public class MapAccess
extends RangeAccess
{

    public MapAccess(FLYSArtifact artifact, CallContext context) {
        super(artifact, context);
    }

    public List<String> getHWS() {
        String param = getString("uesk.hws");
        if (param != null) {
            String[] split = param.split(";");
            return new ArrayList<String>(Arrays.asList(split));
        }
        return new ArrayList<String>();
    }
}
